%global pypi_name jsonrpclib
%global upstream jsonrpclib-pelix

Name:           python-%{pypi_name}
Version:        0.4.3.2
Release:        %mkrel 4
Group:          Development/Python
Summary:        This project is an implementation of the JSON-RPC v2.0 specification
License:        ASL2.0
URL:            https://github.com/tcalmant/jsonrpclib/
Source0:        https://pypi.python.org/packages/source/j/%{upstream}/%{upstream}-%{version}.tar.gz
BuildArch:      noarch

%description
This library is an implementation of the JSON-RPC specification. It supports
both the original 1.0 specification, as well as the new (proposed) 2.0
specification, which includes batch submission, keyword arguments, etc.

This is a patched version of the original jsonrpclib project by Josh Marshall.

%package -n python3-%{pypi_name}
Summary:        This project is an implementation of the JSON-RPC v2.0 specification
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library is an implementation of the JSON-RPC specification. It supports
both the original 1.0 specification, as well as the new (proposed) 2.0
specification, which includes batch submission, keyword arguments, etc.

This is a patched version of the original jsonrpclib project by Josh Marshall.

%prep
%setup -q -n %{upstream}-%{version}
%autopatch -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonrpclib

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Sat Mar 01 2025 wally <wally> 0.4.3.2-4.mga10
+ Revision: 2155155
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 0.4.3.2-3.mga10
+ Revision: 2017620
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.4.3.2-2.mga9
+ Revision: 1823653
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.4.3.2-1.mga9
+ Revision: 1783922
- version 0.4.3.2
- rebuild for python-3.10

* Wed Apr 07 2021 daviddavid <daviddavid> 0.4.2-1.mga9
+ Revision: 1713941
- new version: 0.4.2
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1532174
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.4.0-2.mga8
+ Revision: 1441834
- rebuild for python3.8
- drop python2 support

* Fri Apr 19 2019 wally <wally> 0.4.0-1.mga7
+ Revision: 1393470
- new version 0.4.0
- use new upstream and enable python3

* Sat Jan 12 2019 wally <wally> 0.1.7-1.mga7
+ Revision: 1355615
- new version 0.1.7

* Wed Sep 19 2018 umeabot <umeabot> 0.1.3-10.mga7
+ Revision: 1274603
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.1.3-8.mga6
+ Revision: 929717
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-7.mga5
+ Revision: 750625
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.3-6.mga5
+ Revision: 728866
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 688101
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1.3-3.mga4
+ Revision: 543415
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1.3-2.mga4
+ Revision: 498787
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 0.1.3-1.mga4
+ Revision: 492604
- imported package python-jsonrpclib

